import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const vetFarmGetAllocatedService = createAsyncThunk(
  "VET_FARM_GET_ALLOCATED_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const roleAndCheck = `?role=${getRoleFromUrl()}&check`;
    const { data, status } = await axios.get(
      `Poultry_Request/${roleAndCheck}`,
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role_key: d.role_key || "",
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
